%define name qmailanalog
%define version 0.70
%define release 1mdk

Name:		%{name}
Summary:	Log analysis tool for qmail
Version:	%{version}
Release:	%{release}
Copyright:	Check with djb
Group:		Networking/Mail
URL:		http://www.qmail.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
#Requires:	qmail >= 1.01, functions > 1
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
qmailanalog is a collection of tools to help you analyze qmail-send's activity 
record. It supplies statistics to answer a wide variety of questions:

   * overall: how many messages? recipients? attempts? etc.

   * ddist: how soon were 50 percent of the messages delivered?
            90 percent? 95 percent? 99 percent?

   * rxdelay: what's the best order of recipients for mailing lists?

   * recipients, rhosts: who's getting mail? bytes? messages? attempts?

   * successes, failures, deferrals: why? how often? how much delay?

   * senders, suids: messages? bytes? load? recipients? attempts? delay?

qmailanalog also includes several tools to focus attention on particular
senders, recipients, or messages.

%prep
%setup


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make man prog

# add /usr/local/qmailanalog/bin to PATH via shellinit files
echo 'setenv  PATH "${PATH}:/usr/local/qmailanalog/bin"' > qmailanalog.csh
echo 'appath PATH /usr/local/qmailanalog/bin' > qmailanalog.sh

%install
mkdir -p $RPM_BUILD_ROOT/usr/local
sed "s}/usr/local}$RPM_BUILD_ROOT/usr/local}" conf-home > conf-home.tmp
mv conf-home.tmp conf-home

make install
./install

make instcheck 
./instcheck

#install shell init files
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -av qmailanalog.sh $RPM_BUILD_ROOT/etc/profile.d
cp -av qmailanalog.csh $RPM_BUILD_ROOT/etc/profile.d
chmod a+x $RPM_BUILD_ROOT/etc/profile.d/*

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mv $RPM_BUILD_ROOT/usr/local/qmailanalog/man/man1/* $RPM_BUILD_ROOT/usr/man/man1


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%config /etc/profile.d/*
%doc ACCOUNTING BLURB CHANGES INSTALL MATCHUP README THANKS TODO VERSION
/usr/local/qmailanalog/bin/*
/usr/man/man1/matchup.1*
/usr/man/man1/xqp.1*
/usr/man/man1/xsender.1*
/usr/man/man1/xrecipient.1*
/usr/man/man1/columnt.1*


%changelog
* Mon May 8 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.70-1mdk
- build for Mandrake (sorry no RPM optimizations due to how it compiles)
- bzip sources
- put manpages in proper location
